{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 641013</span><br>

                <span style="font-size: 1.5em;font-stretch: semi-expanded">Regulations 2012</span><br>
                <span style="font-size: 1.5em;font-stretch: semi-expanded;text-decoration: underline;font-weight: bold">CONTINUOUS ASSESSMENT RECORD FOR PRACTICAL COURSES</span>
                <br>

            </div>
            <div><br></div>
            <div style="border: dashed;line-height: 20px;padding-left: 2em">
                <table>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>ACADEMIC YEAR</strong> : {{ context.staffCourseInstance.semester.batch }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>PROGRAMME</strong> : {{ context.staffCourseInstance.course.programme }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left;display: inline-block;"><strong>BRANCH</strong> : {{ context.staffCourseInstance.semester.department }}</span>
                        </td>
                        <td><span
                                style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>SEMESTER</strong> : {{ context.staffCourseInstance.semester.semester_number }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span
                                style="font-size: 1.3em;text-align: left"><strong>COURSE CODE & NAME</strong> : {{ context.staffCourseInstance.course }}</span>
                        </td>
                        <td><span style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>NAME OF THE DEPARTMENT OFFERING THE COURSE</strong> : {{ context.staffCourseInstance.course.department }}</span>
                        </td>
                    </tr>
                    <tr>
                        <td><span style="font-size: 1.3em;text-align: left"><strong>NAME & DESIGNATION OF FACULTY IN-CHARGE</strong> :
                            {% for staff in context.staffCourseInstance.staffs.all %}
                                {{ staff }},&nbsp;
                            {% endfor %}
                           </span>
                        </td>
                    </tr>
                    <tr>
                        <td><span style="font-size: 1.3em;text-align: left;display: inline-block;"><strong>DEPARTMENT OF FACULTY IN-CHARGE OF THE COURSE</strong> : {{ context.staffCourseInstance.staffs.all.first.department }}</span>
                        </td>
                        <td><span style="font-size: 1.3em;text-align:right;display: inline-block;"><strong>DEPARTMENT OF THE STUDENT</strong> : {{ context.studentDepartment }}</span>
                        </td>
                    </tr>
                </table>

            </div>
        </div>
        <div><br></div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large;width: 7%;">S.NO.</td>
                <td align="center" style="font-weight: bold;font-size: large; width: 11%;">REG. NO.</td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 22%;">NAME</td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 15%;">
                    Modals (Out of 100)
                </td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 15%;">
                    Record (Out of 40)
                </td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 15%;">
                    Attendance (Out of 10)
                </td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 15%;">
                    Total (Out of 100)
                </td>
                <td align="center" style=" font-weight: bold;font-size: large;width: 15%;">
                    Student Approval
                </td>
            </tr>
            </thead>
            <tbody>

            {% for student in context.studentList %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ student.registration_number }}</td>
                    <td style="padding-left: 5px">{{ student.student_name }}</td>
                    <td align="center">
                        {% if student.internal_mark_instance.modalMarks %}
                            {{ student.internal_mark_instance.modalMarks }}
                        {% endif %}
                    </td>
                    <td align="center">
                        {% if student.internal_mark_instance.recordMarks %}
                            {{ student.internal_mark_instance.recordMarks }}
                        {% endif %}
                    </td>
                    <td align="center">
                        {{ student.attendance_mark }}
                    </td>
                    <td align="center">
                        {{ student.final_assesment_mark }}
                    </td>
                    <td align="center" style="width:10%">{% if student.student_approved_status %} Yes{% else %}No{% endif %}</td>
                </tr>
            {% endfor %}
            </tbody>

        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
    {% if context.selected_course.is_one_credit == 1 %}
        <table>
            <tr>
                <div style="width: 33%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                        Course</strong>
                    </td>
                    <td></td>
                </div>
                <div style="width: 33%">
                    <td align="center" style="font-stretch: expanded;font-size: large"><strong>Senior Faculty (of the
                        Faculty-Incharge of the Course)</strong>
                </div>
                <div style="width: 33%">
                    <td></td>
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department (of
                        the Faculty-Incharge of the Course)</strong>
                    </td>
                </div>
            </tr>
        </table>
        <br><br><br><br>
        <table>
            <tr>
                <div style="width: 33%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme
                        Co-ordinator</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                        the student</strong>
                    </td>
                </div>
            </tr>
        </table>
    {% else %}
        <table>
            <tr>
                <div style="width: 50%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                        Course</strong>
                    </td>
                </div>
                <div style="width: 50%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                        the Faculty-Incharge of the Course</strong>
                    </td>
                </div>
            </tr>
        </table>
        <br><br><br><br>
        <table>
            <tr>
                <div style="width: 33%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme
                        Co-ordinator</strong>
                    </td>
                </div>
                <div style="width: 33%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of
                        the student</strong>
                    </td>
                </div>
            </tr>
        </table>
    {% endif %}
{% endblock %}